Are you an LLM? You can read better optimized documentation at /api/operations/post-menus.md for this page in Markdown format
Create a menu
POST
/menus
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Request Body
application/json
JSON
{
"name": "string",
"slug": "string",
"items": [
{
"id": "string",
"name": "string",
"kind": "string",
"target_url": "string",
"target_page": "string",
"target_fullpath": "string",
"parent": "string",
"position": 0,
"_destroy": true,
"children": [
{
}
],
"additionalProperties": "string"
}
]
}
Responses
menu created
application/json
JSON
{
"id": "string",
"url": "string",
"created_at": "string",
"updated_at": "string",
"slug": "string",
"name": "string",
"items": [
{
"created_at": "string",
"updated_at": "string",
"kind": "string",
"slug": "string",
"fullpath": "string",
"position": 0,
"depth": 0,
"name": "string",
"target_url": "string",
"target_page": "string",
"target_fullpath": "string",
"children": [
{
}
]
}
]
}